Name:           kde-cli-tools
Version:        5.27.11
Release:        1
Summary:        Tools based on KDE Frameworks 5 to better interact with the system

License:        GPLv2+
URL:            https://invent.kde.org/plasma/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global majmin_ver %(echo %{version} | cut -d. -f1,2).50
%global stable unstable
%else
%global majmin_ver %(echo %{version} | cut -d. -f1,2)
%global stable stable
%endif
Source0:        http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-qtx11extras-devel

BuildRequires:  kf5-kparts-devel
BuildRequires:  kf5-rpm-macros

BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kdoctools-devel
BuildRequires:  kf5-kiconthemes-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kcmutils-devel
BuildRequires:  kf5-kdesu-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kwindowsystem-devel
BuildRequires:  kf5-kactivities-devel
BuildRequires:  kf5-kdeclarative-devel
BuildRequires:  kf5-kparts-devel
BuildRequires:  plasma-workspace-devel >= %{version}
Requires:       libkworkspace5%{?_isa} >= %{version}
Requires:       kdesu = 1:%{version}-%{release}
Conflicts:      kde-runtime < 17.08.3-23

%description
Provides several KDE and Plasma specific command line tools to allow
better interaction with the system.

%package -n kdesu
Summary:        Runs a program with elevated privileges
Epoch:          1
Conflicts:      kde-runtime < 14.12.3-2
Conflicts:      kde-runtime-docs < 14.12.3-2

%description -n kdesu
%{summary}.


%prep
%autosetup -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. 
popd
%make_build  -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}
%find_lang kdeclitools_qt --with-qt --with-kde --all-name

ln -s %{_kf5_libexecdir}/kdesu %{buildroot}%{_bindir}/kdesu


%files -f kdeclitools_qt.lang
%{_bindir}/kbroadcastnotification
%{_bindir}/kcmshell5
%{_bindir}/kdecp
%{_bindir}/kdecp5
%{_bindir}/kde-inhibit
%{_bindir}/kdemv
%{_bindir}/kdemv5
%{_bindir}/kde-open
%{_bindir}/kde-open5
%{_bindir}/keditfiletype
%{_bindir}/keditfiletype5
%{_bindir}/kinfo
%{_bindir}/kioclient
%{_bindir}/kioclient5
%{_bindir}/kmimetypefinder
%{_bindir}/kmimetypefinder5
%{_bindir}/kstart
%{_bindir}/kstart5
%{_bindir}/ksvgtopng
%{_bindir}/ksvgtopng5
%{_bindir}/ktraderclient5
%{_bindir}/plasma-open-settings
%{_kf5_libexecdir}/kdeeject
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/kcm_filetypes.so
%{_datadir}/doc/HTML/*/kcontrol5
%{_datadir}/applications/org.kde.keditfiletype.desktop
%{_datadir}/applications/org.kde.plasma.settings.open.desktop
%{_datadir}/applications/kcm_filetypes.desktop

%files -n kdesu
%{_bindir}/kdesu
%{_kf5_libexecdir}/kdesu
%{_mandir}/man1/kdesu.1.gz
%{_mandir}/*/man1/kdesu.1.gz
%{_datadir}/doc/HTML/*/kdesu


%changelog
* Thu Mar 14 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.11-1
- Update package to version 5.27.11

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 5.27.10-1
- update verison to 5.27.10

* Wed Oct 25 2023 misaka00251 <liuxin@iscas.ac.cn> - 5.27.6-1
- Upgrade to 5.27.6

* Tue Sep 12 2023 misaka00251 <liuxin@iscas.ac.cn> - 5.25.5-2
- Rebuild for plasma-workspace 5.25.5

* Fri Jul 15 2022 misaka00251 <liuxin@iscas.ac.cn> - 5.25.5-1
- Init package
